package com.huimv.env.device.listener;

import cn.hutool.json.JSON;
import cn.hutool.json.JSONUtil;
import com.huimv.env.common.entity.vo.AllData;
import com.huimv.env.common.utils.Const;
import com.huimv.env.common.utils.MathUtil2;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.rabbit.annotation.RabbitHandler;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

@Component
@Slf4j
public class DeviceListener {

    @Autowired
    private MathUtil2 mathUtil;


    @RabbitListener(queues = Const.QUEUE_ENV_SHUI_HUIMV_DATA)
    @RabbitHandler
    public void processReceive(Map<String,String> rawMap)   {
        System.out.println(">>>>>>>>>>>>>> 11 接收数据 RawMap>>" + rawMap.toString());
        try {
            String askText = rawMap.get("askText");
            AllData allData = JSONUtil.toBean(askText, AllData.class);
            System.out.println(allData.toString());
        }catch (Exception e){
            System.out.println("数据异常"+e);
        }
    }

}
